Subject: [GNU Libtool 2.4.6] testsuite: 7 8 13 14 28 29 30 31 32 34 35 36 37 44 46 50 51 52 53 56 57 58 62 66 67 69 71 73 77 78 81 82 83 84 86 87 90 96 97 98 100 103 105 106 109 110 112 115 117 119 120 122 126 130 145 146 150 151 153 154 155 169 170 failed

From: Alex Lai <[email-masked]>
Date: Fri, 2 Oct 2015 18:09:14 +0000

Experts,

                I installed this version of Libtool using the following procedure:

Log in as root

./configure --prefix=/var/tmp/work/libtool-2.4.6.i386
make

the  following error occurred:

  CC       libltdl/loaders/libltdl_libltdl_la-preopen.lo
libtool: Version mismatch error.  This is libtool 2.4.6, revision 2.4.6,
libtool: but the definition of this LT_INIT comes from revision .
libtool: You should recreate aclocal.m4 with macros from revision 2.4.6
libtool: of libtool 2.4.6 and run autoconf again.
Makefile:1261: recipe for target 'libltdl/loaders/libltdl_libltdl_la-preopen.lo' failed

To fix it, I ran:

make maintainer-clean
autoreconf
./configure --prefix=/var/tmp/work/libtool-2.4.6.i386
make
make check

## ------------- ##
## Test results. ##
## ------------- ##

ERROR: 146 tests were run,
68 failed (5 expected failures).
24 tests were skipped.
## -------------------------- ##
## testsuite.log was created. ##
## -------------------------- ##

                Since I'm a beginner of Libtool, I will appreciate if you could comment on the test results.

Thanks in advance,

Alex Lai | Technical Specialist, AlgoCredit & Liquidity Risk
________________________________________________________
Scotiabank | Global Technology Services
IPM - GBM Application Support
720 King St W, 6th floor, Toronto, Ontario, Canada M5V 2T3
T: 416.607.4789
[email-masked]<mailto:[email-masked]>
www.scotiabank.com<http://www.scotiabank.com/>
Scotiabank is a business name used by The Bank of Nova Scotia

To unsubscribe from receiving further commercial electronic messages from The Bank of Nova Scotia in Canada, please click here: https://unsubscribe.scotiabank.com?entid=BNS&buid=SBNK

To unsubscribe from receiving further commercial electronic messages from certain other senders set out in the attached list, please click here: https://www.unsubscribe.gwi.scotiabank.com?page=gwi 

This email may contain confidential information the use of which by an unintended recipient is unauthorized. This email may also contain important disclosure information for the records of the intended recipient(s).  For details please click here: http://www.scotiabank.com/email_disclaimer/email_english.html

Pour vous désabonner et cesser de recevoir des messages électroniques commerciaux de La Banque de Nouvelle-Écosse, veuillez cliquer ici : https://desabonnement.banquescotia.com?entid=BNS&buid=SBNK

Pour vous désabonner et cesser de recevoir des messages électroniques commerciaux de certains autres expéditeurs figurant dans la liste ci-jointe, veuillez cliquer ici : https://www.unsubscribe.gwi.scotiabank.com?page=gwi 

Cette transmission peut contenir de l'information confidentielle et son utilisation par toute personne autre que la personne à laquelle cette transmission est destinée est interdite. Le présent courriel peut aussi contenir des renseignements importants pour les dossiers du ou des destinataires prévus.  Pour plus de détails, veuillez vous diriger vers: http://www.scotiabank.com/email_disclaimer/email_francais.html

Para dejar de recibir mensajes electrónicos comerciales de The Bank of Nova Scotia en Canadá, haga clic aquí: https://cancelarsuscripcion.scotiabank.com?entid=BNS&buid=SBNK

Para dejar de recibir mensajes electrónicos comerciales de otras entidades incluidas en la lista adjunta, haga clic aquí: https://www.unsubscribe.gwi.scotiabank.com?page=gwi 

Este correo electrónico puede contener información confidencial cuyo uso por parte de personas distintas de los destinatarios del mismo está prohibido. El mensaje puede tener también datos importantes para los archivos   del(de los) destinatario(s) a quien(es) está dirigido.  Para más detalles, por favor dirigirse a: http://www.scotiabank.com/email_disclaimer/email_espanol.html